org.springframework.messaging.handler.annotation.support

## Class AnnotationExceptionHandlerMethodResolver

- java.lang.Object
- - org.springframework.messaging.handler.invocation.AbstractExceptionHandlerMethodResolver
  - - org.springframework.messaging.handler.annotation.support.AnnotationExceptionHandlerMethodResolver

    public class AnnotationExceptionHandlerMethodResolver
    extends AbstractExceptionHandlerMethodResolver

A sub-class of `AbstractExceptionHandlerMethodResolver` that looks for `MessageExceptionHandler`-annotated methods in a given class. The actual exception types handled are extracted either from the annotation, if present, or from the method signature as a fallback option.

Since:
  4.0
Author:
  Rossen Stoyanchev, Juergen Hoeller

### Constructor Summary

Constructors
Constructor and Description
`AnnotationExceptionHandlerMethodResolver(Class<?> handlerType)` A constructor that finds `MessageExceptionHandler` methods in the given type.

### Method Summary

### Methods inherited from class org.springframework.messaging.handler.invocation.AbstractExceptionHandlerMethodResolver

`getExceptionsFromMethodSignature, hasExceptionMappings, resolveMethod, resolveMethodByExceptionType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnnotationExceptionHandlerMethodResolver

    public AnnotationExceptionHandlerMethodResolver(Class<?> handlerType)

A constructor that finds `MessageExceptionHandler` methods in the given type.

Parameters:
  `handlerType` - the type to introspect